org.apache.commons.ssl.asn1

## Class BEROctetStringParser

- java.lang.Object
- - org.apache.commons.ssl.asn1.BEROctetStringParser

All Implemented Interfaces:
  ASN1OctetStringParser, DEREncodable

    public class BEROctetStringParser
    extends java.lang.Object
    implements ASN1OctetStringParser

### Field Summary

Fields
`private ASN1ObjectParser` `_parser`

### Constructor Summary

Constructors
`protected` `BEROctetStringParser(ASN1ObjectParser parser)`

### Method Summary

Methods
`DERObject` `getDERObject()`
`java.io.InputStream` `getOctetStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _parser

    private ASN1ObjectParser _parser

### Constructor Detail

#### BEROctetStringParser

    protected BEROctetStringParser(ASN1ObjectParser parser)

### Method Detail

#### getOctetStream

    public java.io.InputStream getOctetStream()

Specified by:
  `getOctetStream` in interface `ASN1OctetStringParser`

#### getDERObject

    public DERObject getDERObject()

Specified by:
  `getDERObject` in interface `DEREncodable`